# Method: projects.locations.instances.applyParameters

- [HTTP request](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/applyParameters#try-it)

`instances.applyParameters` restarts the set of specified nodes in order to update them to the current set of parameters for the Memcached Instance.

### HTTP request

`POST https://memcache.googleapis.com/v1beta2/{name=projects/*/locations/*/instances/*}:applyParameters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the Memcached instance for which parameter group updates should be applied. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nodeIds": [ string ], "applyAll": boolean } ``` |

| Fields ||
|---|---|
| `nodeIds[]` | `string` Nodes to which the instance-level parameter group is applied. |
| `applyAll` | `boolean` Whether to apply instance-level parameter group to all nodes. If set to true, users are restricted from specifying individual nodes, and `instances.applyParameters` updates all nodes within the instance. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).